select
  an.numero as animal
  , an.dtnascimento as nascimento
  , pai.nome as pai
  , ia.data as primeira_inseminacao
  , (ia.data - an.dtnascimento) as dias_entre_nasc_prim_ins
from animal an
  left join reproducao ia on ia.cdreproducao =
    (select first 1 re.cdreproducao
    from reproducao re
    where re.cdanimal = an.cdanimal
      and re.cdtiporeproducao in (1,2,3)
    order by re.data asc)
  left join animal pai on pai.cdanimal = an.cdpai
where an.tipoanimal = 'A'
  and an.animalrebanho = 1
  and an.sexo = 'F'
  and an.cdcategoria in (6,7)
